Skip to content
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://docs.ecg-api.com/_mock/products/organizations/apis/orgs
https://orgs.ecg-api.com
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

An Advanced Search for listing all the Subscribers

Request

Security
bearer
Query
order_bystring
Enum"ASC""DESC"
Example: order_by=ASC
skipnumber

Number of Pages to skip, Default value : 0

Default 0
takenumber

Number of Records per page, Default value : 10

Default 10
searchTermstring

Search By: firstName, lastName, contactEmailAddress or fullName(firstName+lastName) of Subscriber

includeArray of strings

For query include=organization it returns subscribers with organizations,if exists

Items Value"organization"
sort_bystring

Default value : firstName

Enum"firstName""lastName""createdAt""lastStatusChangedAt"
Example: sort_by=firstName
organizationIdstring
nonPERSboolean
Example: nonPERS=false
subscriberIdsArray of strings

By adding the 'subscriberIds' parameter to the API call, you can retrieve a list of subscriber information based on the specified IDs.

xmitIdstring

Subscribers information will be obtained from the device log using the XMIT Id, utilizing the codes for Anelto (anelto.pro-health-console) and Rapid (rapid.emergency-response).

subscriberStatusArray of strings
Items Enum"Under Review""Active""On Hold""Cancelled""Closed""Created""Anonymized""Away""Opt-Out""Unenrolled"
contactIdstring
actionPlanCodestring
mrnNumberstring
metadataKeystring
metadataValuestring
statusArray of strings
Items Enum"restored""archived""active""inactive"
onBoardPartnerIdsArray of strings
Deprecated

By adding the 'onBoardPartnerIds' parameter to the API call, you can retrieve a list of subscriber information based on the Partner IDs.

curl -i -X GET \
  'https://docs.ecg-api.com/_mock/products/organizations/apis/orgs/api/subscribers/advanced-search?order_by=ASC&skip=0&take=10&searchTerm=string&include=organization&sort_by=firstName&organizationId=string&nonPERS=false&subscriberIds=string&xmitId=string&subscriberStatus=Under+Review&contactId=string&actionPlanCode=string&mrnNumber=string&metadataKey=string&metadataValue=string&status=restored&onBoardPartnerIds=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Bodyapplication/json
itemsArray of objects(SubscriberDisplayModel)
currentPageNumbernumber
Example: 0
recordsPerPagenumber
Example: 0
totalRecordsnumber
Example: 0
totalPagesnumber
Example: 0
Response
application/json
null

Syncs the Subscriber information into the CRM

Request

Security
bearer
Path
personIdstringrequired
curl -i -X POST \
  'https://docs.ecg-api.com/_mock/products/organizations/apis/orgs/api/subscribers/{personId}/crm-sync' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Bodyapplication/json
valuebooleanrequired
Example: true
Response
application/json
{ "value": true }

Lists available Subscriber Audit Trails for all Subscribers.

Request

Security
bearer
Query
order_bystring
Enum"ASC""DESC"
Example: order_by=ASC
skipnumber

Number of Pages to skip, Default value : 0

Default 0
takenumber

Number of Records per page, Default value : 10

Default 10
sort_bystring

Default value : modifiedAt

Example: sort_by=modifiedAt
searchTermstring

Search By: action

Enum"UPDATE""DELETE""INSERT"
dateRangeTypestring
Enum"custom""this-year""last-year""today""this-week""last-week""this-month""last-month""this-quarter""last-quarter"
fromstring(date-time)
Example: from=2026-03-04T17:27:05.470Z
tostring(date-time)
Example: to=2026-03-04T17:27:05.470Z
curl -i -X GET \
  'https://docs.ecg-api.com/_mock/products/organizations/apis/orgs/api/subscribers/audit-trails?order_by=ASC&skip=0&take=10&sort_by=modifiedAt&searchTerm=UPDATE&dateRangeType=custom&from=2026-03-04T17%3A27%3A05.470Z&to=2026-03-04T17%3A27%3A05.470Z' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Bodyapplication/json
itemsArray of objects(AuditTrailDisplayModel)
currentPageNumbernumber
Example: 0
recordsPerPagenumber
Example: 0
totalRecordsnumber
Example: 0
totalPagesnumber
Example: 0
Response
application/json
null
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Subscriber Status Change Histories

Operations
Operations
Operations
Operations
Operations
Operations
Operations